Subject: Re: [PATCH] be paranoid about closed stdin/stdout/stderr

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Aug 2008 15:42:51 -0700

Paolo Bonzini <[email-masked]> writes:

> Junio C Hamano wrote:
>> Johannes Sixt <[email-masked]> writes:
>> 
>>> Paolo Bonzini schrieb:
>>>> +	/*
>>>> +	 * Always open file descriptors 0/1/2 to avoid clobbering files
>>>> +	 * in die().  It also avoids not messing up when the pipes are
>>>> +	 * dup'ed onto stdin/stdout/stderr in the child processes we spawn.
>>>> +	 */
>>> I see your point, but I don't have an opinion whether this stretch is
>>> necessary.
>> 
>> This is going too far.  Have you seen any other sane program that do this?
>
> Busybox.  But it runs setuid, as Steven pointed out.
>
> I say it's all (i.e. be this paranoid), or nothing.

I tend to agree, and I think what Stephen R. van den Berg said earlier in
the thread makes perfect sense.